#include <iostream>

int main() {
	std::ios_base::sync_with_stdio(false);

	int N, i;
	std::cin >> N;

	int *knjige = new int[N];
	int maxind, max = 0;

	bool opada = true;
	int prethodni = 10;
	for (i = 0; i < N; i++) {
		std::cin >> knjige[i];

		if (knjige[i] > prethodni)
			opada = false;

		if (!opada && knjige[i] > max) {
			max = knjige[i];
			maxind = i;
		}

		prethodni = knjige[i];
	}
	
	if (!opada) {
		i = 0;
		while (knjige[i] >= max)
			++i;

		std::swap(knjige[i], knjige[maxind]);
	}
	else {
		std::swap(knjige[N - 2], knjige[N - 1]);
	}

	for (i = 0; i < N; i++) std::cout << knjige[i] << " ";

	return 0;
}